{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";

    basecamp.url = "github:plul/basecamp";
    basecamp.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs =
    { basecamp, nixpkgs, ... }:
    {
      devShells."x86_64-linux".default =
        let
          pkgs = import nixpkgs {
            system = "x86_64-linux";
            config.allowUnfree = true;
          };
        in
        basecamp.mkShell pkgs {
          env.LD_LIBRARY_PATH = "${pkgs.stdenv.cc.cc.lib}/lib";
          packages = [
            pkgs.just

            pkgs.gcc # For libstdc++.so.6

            (pkgs.python312.withPackages (_python-pkgs: [
              # python-pkgs.ruff
              # python-pkgs.jedi-language-server
            ]))
          ];
        };
    };
}
